<template>
  <v-chip small :color="colors[type]" class="white--text">
    {{ $t(type.toString()) }}
  </v-chip>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import { OfferTypeEnum } from '@/api/patch/ledius-token.enums';

@Component({})
export default class OfferType extends Vue {
  @Prop({
    required: true,
    type: Number
  })
  private readonly type!: OfferTypeEnum;

  private readonly colors: string[] =[
    '#23750a',
    '#9f0f0f'
  ];
}
</script>

<style scoped></style>

<i18n>
{
  "ru": {
    "0": "Покупка",
    "1": "Продажа"
  },
  "en": {
    "0": "Buy",
    "1": "Sell"
  }
}
</i18n>
